Subject: Re: [PATCH 7/9] build: qemu-command: Add support for powerpc.

From: Vincent Legoll <[email-masked]>
Date: Wed, 7 Apr 2021 00:27:01 +0200

On Tue, Apr 6, 2021 at 9:18 PM Efraim Flashner <[email-masked]> wrote:
>
> On Tue, Apr 06, 2021 at 07:02:47PM +0200, Vincent Legoll wrote:
> > Hello,
> >
> > On Tue, Apr 6, 2021 at 2:44 PM Efraim Flashner <[email-masked]> wrote:
> > > +                    ((string-match "powerpc" cpu) "ppc")
> >
> > Won't there be some "powerpc64le" conflict here ?
> >
>
> I thought not, but it appears it would match all of powerpc*
>
> (ins)scheme@(guile-user)> (use-modules (ice-9 regex))
> (ins)scheme@(guile-user)> (string-match "powerpc" "powerpc")
> $1 = #("powerpc" (0 . 7))
> (ins)scheme@(guile-user)> (string-match "powerpc" "powerpc64le")
> $2 = #("powerpc64le" (0 . 7))
> (ins)scheme@(guile-user)> (string-match "powerpc" "armhf")
> $3 = #f
>
> If it were string=? then it would be fine, but that would break the
> ^i[3456]86$ regex. It looks like I would need to add a powerpc64 case
> above the powerpc case. Looking at the output of qemu adding
> ((string-match "powerpc64" cpu) "ppc64") would be the right answer.

or you can use anchored regex, like in the x86 case:

((string-match "^powerpc$" cpu) "ppc")

-- 
Vincent Legoll